org.gcube.dataanalysis.dataminer.poolmanager.datamodel

## Class Dependency

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.datamodel.Dependency

    public class Dependency
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Dependency()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `getType()`
`void` `setName(String name)`
`void` `setType(String type)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Dependency

    public Dependency()

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getType

    public String getType()

#### setType

    public void setType(String type)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`